HyperTrackDocs
Orders

Get Order Webhooks

API to fetch webhooks sent for an order

GET
/orders/{order_handle}/webhooks

API to fetch webhooks sent for an order

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

order_handle*string

Query Parameters

value?|

String representation to fetch webhooks for. It can be comma separated list, each itemin list can be one of assigned, started, first_eta, eta, eta_change, n_minutes_away, device_switched, disabled, enabled, updated, delayed, risk_updated, arrived, exited, completed, cancelled. eg. `?value=eta,eta_change

from_time?|

ISO 8601 datetime indicating the start time to be used for fetching webhooks

to_time?|

ISO 8601 datetime indicating the end time to be used for fetching webhooks

fulfillment_attempt?|

Filter for fulfillment attempt number

pagination_token?|

Token provided by our API to retrieve the next page of webhooks

limit?|

Number of webhooks to be sent in response

sort_direction?unknown

Field to sort webhooks by time in ascending or descending order

debug_level?|

Hidden parameter to enable internal debug level logging for webhook queries

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orders/string/webhooks"
{  "webhooks": [    {      "account_id": "80858940089",      "device_id": "52193948-1A79-14GF-AB81-2FB0A59536S3",      "worker_handle": "Samual-Jackson",      "type": "order",      "data": {        "value": "arrived",        "order_handle": "ORD_6920",        "route_handle": "a3f6e79c-c830-4766-8a3d-9eeaa5099ce2",        "place_handle": "WARE_593",        "status": "ongoing",        "share_url": "https://trck.at/PvR4MmWOpt",        "scheduled_at": "2024-11-23T18:45:00.000Z",        "initial_eta": "2024-11-23T18:25:00.000Z",        "arrival": {          "location": {            "type": "Point",            "coordinates": [              -121.9007247,              37.3811932            ]          },          "recorded_at": "2024-11-23T18:35:00.000Z"        },        "metadata": {          "source": "app",          "team_id": "4retro"        }      }    }  ],  "pagination_token": "hjbkshkcvhskdjckdnk"}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}